Delete a record from the DNS zone
DELETE
https://api.lws.net/v1/
operationIddeleteDomainZdns
Delete a specific DNS record from the domain's DNS zone
Path parameters
-
domainstring required -
Domain name to delete DNS record for
Request body
application/json
-
idintegerrequiredID of the DNS record to delete (can be found using GET /domain/{domain}/zdns)
Example request
{
"id": 234851
}
Responses
200
DNS record deleted successfully
{
"code": 200,
"info": "Success: Removed record in the DNS Zone",
"data": 234851
}
Response fields 3 Extends ApiEnvelope
-
codeintegerApplication-level status/error code (not always equal to the HTTP status code)
-
infostringHuman-readable message describing the result of the request
-
dataintegerID of the deleted record
201
DNS Record already deleted / not found
{
"code": 201,
"info": "The record 234851 does not exist or has already been deleted",
"data": 234851
}
Response fields 3 Extends ApiEnvelope
-
codeintegerApplication-level status/error code (not always equal to the HTTP status code)
-
infostringHuman-readable message describing the result of the request
-
datainteger
314
Domain not found on the account
314 is not a registered HTTP status code. It is specific to this API.
{
"code": 314,
"info": "Provided domain has not been found on your account. You must own this domain to manage it."
}
Response fields 2 Extends ApiEnvelope
-
codeintegerApplication-level status/error code (not always equal to the HTTP status code)
-
infostringHuman-readable message describing the result of the request
400
Bad request - invalid input
{
"code": 400,
"info": "Invalid input: No ID provided. Example: 234851"
}
Response fields 2 Extends ApiEnvelope
-
codeintegerApplication-level status/error code (not always equal to the HTTP status code)
-
infostringHuman-readable message describing the result of the request
404
DNS record not found
{
"code": 404,
"info": "Could not remove record from the DNS Zone",
"data": 234851
}
Response fields 3 Extends ApiEnvelope
-
codeintegerApplication-level status/error code (not always equal to the HTTP status code)
-
infostringHuman-readable message describing the result of the request
-
datainteger
500
Internal Server Error
{
"code": 500,
"info": "Internal Server Error",
"data": "string"
}
Response fields 3 Extends ApiEnvelope
-
codeintegerApplication-level status/error code (not always equal to the HTTP status code)
-
infostringHuman-readable message describing the result of the request
-
datastringError message
502
Bad Gateway
{
"code": 502,
"info": "Invalid response from upstream server",
"data": []
}
Response fields 3 Extends ApiEnvelope
-
codeintegerApplication-level status/error code (not always equal to the HTTP status code)
-
infostringHuman-readable message describing the result of the request
-
dataobjectInvalid response returned by the server
401
Unauthorized - Missing authentication headers
{
"code": 401,
"info": "Unauthorized access to the API. Please specify X-Auth-Pass and X-Auth-Login to proceed."
}
Response fields 2
-
codeinteger -
infostring
429
Rate limit exceeded
{
"code": 429,
"info": "Rate limit exceeded. Please try again later."
}
Response fields 2
-
codeinteger -
infostring